<?php
/*
* $Date: 2007/02/12 $
* $Revision: 2.0 $
* $Author: exerladan $
*/

require_once( 'maxResistance.class.php' );

/*
 * Globals tests
 */

if ( !defined( 'ROSTER_INSTALLED' ) ) {
    exit( 'Detected invalid access to this file!' );
}

/*
 * Class instanciation
 */

$maxResistance = & new maxResistance();

if ( ! $maxResistance->checkInstalled() ) {
	/*
	 * Alter player table
	 */
	$maxResistance->install();
}
if ( $_GET['refreshDatabase'] ) {
	/*
	 * Refresh resistances in database for all players 
	 */
	$maxResistance->refreshAllDatabaseResistances();
}
elseif ( strlen( $_GET['name'] ) && strlen( $_GET['server'] ) ) {
	$player = $maxResistance->getPlayerInfo( $_GET['name'], $_GET['server'] );
	$resistance = $maxResistance->getResistances( $player['member_id'], $player['clientLocale'], $_GET['resist'] );
	echo $maxResistance->getHTMLPlayer( $player, $_GET['resist'], $resistance['equipement'], $resistance['racial'], $player['clientLocale'] );
}
else {
	$players = $maxResistance->listPlayers( $_GET['s'] );
	echo $maxResistance->getHTMLListPlayers( $players, $_GET['s'] );
}
?>


